Package org.eclipse.birt.core.script

# Interface IJavascriptInitializer

All Known Implementing Classes:
  `CoreJavaScriptInitializer`

public interface IJavascriptInitializer
used to intialize the java script context. To use script intializer, the callers should: 1) create instance of IJavascriptInitializer 2) call ScriptContext.registerInitializer() to register that instance. After that, the new ScriptContext instance will call the registed initializer in the constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`initialize(org.mozilla.javascript.Context cx, org.mozilla.javascript.Scriptable scope)`
intialize the context and scope.

## Method Details

### initialize

void initialize(org.mozilla.javascript.Context cx, org.mozilla.javascript.Scriptable scope)
intialize the context and scope.

Parameters:
  `cx` - context.
  `scope` - scope.